Subject: bug#2435: Bug 2435

From: Stefan Monnier <[email-masked]>
Date: Fri, 06 Mar 2009 00:07:48 -0500

>> > We should take care of re_search_2 and re_match_2_internal
>> > too.
>> >
>> > If the problem is only the call of openp in
>> > load_charset_map_from_file, and building various Lisp object
>> > is ok, we can change load_charset_map_from_file to open a
>> > charset map by itself without using openp.

>> Not using openp would be troublesome.  How about binding
>> file-name-handler-alist to nil inside load_charset_map_from_file?  That
>> prevents find-file-name-handler from performing the regexp compilation
>> and string search.

> That's a good idea if "building various Lisp object is ok"
> is true.  

AFAIK building objects is perfectly fine, yes.
I wonder why you use record_unwind_protect rather than specbind, tho.
Also if we do that, we should add a note in the docstring of
charset-map-path that it does not obey file-name-handler-alist.

        Stefan